# Class Authenticator.Retry

java.lang.Object
com.sun.net.httpserver.Authenticator.Result
com.sun.net.httpserver.Authenticator.Retry

Enclosing class:
  `Authenticator`

public static class Authenticator.Retry extends Authenticator.Result
Indicates an authentication must be retried. The response code to be sent back is as returned from `getResponseCode()`. The `Authenticator` must also have set any necessary response headers in the given `HttpExchange` before returning this `Retry` object.

Since:
  1.6

## Constructor Summary

Constructors
Constructor
Description
`Retry(int responseCode)`
Creates a `Retry` instance with given response code.

## Method Summary

Modifier and Type
Method
Description
`int`
`getResponseCode()`
Returns the response code to send to the client.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Retry

public Retry(int responseCode)
Creates a `Retry` instance with given response code.

Parameters:
  `responseCode` - the response code to associate with this `Retry` instance

## Method Details

### getResponseCode

public int getResponseCode()
Returns the response code to send to the client.

Returns:
  the response code associated with this `Retry` instance